| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ILicenseDetails Interface Reference

LicenseDetails interface. More...

Inheritance diagram for LicenseSpring.ILicenseDetails:

## Public Member Functions
void | SetPolicyCode (string policyCode)
| Prepares the license to be activated with a policy code.

## Properties
bool | AllowOverages`[get, set]`
| Allow or not consumption overages.
ConsumptionPeriod | ConsumptionPeriod`[get, set]`
| Period of consumption reset.
CustomField[] | CustomFields`[get, set]`
| Array of additional custom fields.
bool | EnableMaintenancePeriod`[get, set]`
| Whether the license has maintenance plan or not.
bool | IsTrial`[get, set]`
| Whether the license is trial or not.
string | LicenseKey`[get, set]`
| License key.
LicenseUser[] | LicenseUsers`[get, set]`
| Array of license users.
string | MaintenanceDuration`[get, set]`
| Maintenance duration.
string | MaintenancePeriod`[get, set]`
| Maintenance end date.
uint | MaxActivations`[get, set]`
| Maximum number of activations.
uint | MaxConsumptions`[get, set]`
| Maximum consumption.
uint | MaxOverages`[get, set]`
| Maximum overages.
int | MaxTransfers`[get, set]`
| Maximum transfers.
string | Metadata`[get, set]`
| License metadata.
string | Note`[get, set]`
| Note for the license.
string | PolicyCode`[get]`
| License policy to be applied to this license.
bool | PreventVM`[get, set]`
| Prevent using virtual machine.
ProductFeature[] | ProductFeatures`[get, set]`
| Product features available for this license.
bool | ResetConsumption`[get, set]`
| Enable or not periodic consumption reset.
LicenseType | Type`[get, set]`
| License type.
string | ValidityDuration`[get, set]`
| Validity duration.
string | ValidityEndDate`[get, set]`
| It's final end date and time license is valid.

## Detailed Description

LicenseDetails interface.

## Member Function Documentation

## ◆ SetPolicyCode()

void LicenseSpring.ILicenseDetails.SetPolicyCode | ( | string | policyCode | ) |

Prepares the license to be activated with a policy code.

Parameters

  policyCode | Code of the license policy, as set on the LicenseSpring platform.

Implemented in LicenseSpring.LicenseDetails.

## Property Documentation

## ◆ AllowOverages

bool LicenseSpring.ILicenseDetails.AllowOverages
| get set

Allow or not consumption overages.

Meaningful only for consumption license type

Implemented in LicenseSpring.LicenseDetails.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.ILicenseDetails.ConsumptionPeriod
| get set

Period of consumption reset.

Format: "week", "month" or "year".

Meaningful only for consumption license type.

Implemented in LicenseSpring.LicenseDetails.

## ◆ CustomFields

CustomField [] LicenseSpring.ILicenseDetails.CustomFields
| get set

Array of additional custom fields.

Implemented in LicenseSpring.LicenseDetails.

## ◆ EnableMaintenancePeriod

bool LicenseSpring.ILicenseDetails.EnableMaintenancePeriod
| get set

Whether the license has maintenance plan or not.

Implemented in LicenseSpring.LicenseDetails.

## ◆ IsTrial

bool LicenseSpring.ILicenseDetails.IsTrial
| get set

Whether the license is trial or not.

Implemented in LicenseSpring.LicenseDetails.

## ◆ LicenseKey

string LicenseSpring.ILicenseDetails.LicenseKey
| get set

License key.

Implemented in LicenseSpring.LicenseDetails.

## ◆ LicenseUsers

LicenseUser [] LicenseSpring.ILicenseDetails.LicenseUsers
| get set

Array of license users.

Implemented in LicenseSpring.LicenseDetails.

## ◆ MaintenanceDuration

string LicenseSpring.ILicenseDetails.MaintenanceDuration
| get set

Maintenance duration.

Format: 1y (one year) or 2m (2 months) or 3d (3 days)

This Property conflicts with MaintenancePeriod. Specify either one of them but not both.

Implemented in LicenseSpring.LicenseDetails.

## ◆ MaintenancePeriod

string LicenseSpring.ILicenseDetails.MaintenancePeriod
| get set

Maintenance end date.

Format: "2025-11-27" (YYYY-MM-DD)

This Property conflicts with MaintenanceDuration. Specify either one of them but not both.

Implemented in LicenseSpring.LicenseDetails.

## ◆ MaxActivations

uint LicenseSpring.ILicenseDetails.MaxActivations
| get set

Maximum number of activations.

Indicates on how many computers license can be activated simultaneously.

Implemented in LicenseSpring.LicenseDetails.

## ◆ MaxConsumptions

uint LicenseSpring.ILicenseDetails.MaxConsumptions
| get set

Maximum consumption.

Meaningful only for consumption license type

Implemented in LicenseSpring.LicenseDetails.

## ◆ MaxOverages

uint LicenseSpring.ILicenseDetails.MaxOverages
| get set

Maximum overages.

Meaningful only for consumption license type

Implemented in LicenseSpring.LicenseDetails.

## ◆ MaxTransfers

int LicenseSpring.ILicenseDetails.MaxTransfers
| get set

Maximum transfers.

Limit of license transfers between different devices, defaults to 0 (unlimited). Set to -1 to prevent device transfers.

Implemented in LicenseSpring.LicenseDetails.

## ◆ Metadata

string LicenseSpring.ILicenseDetails.Metadata
| get set

License metadata.

Implemented in LicenseSpring.LicenseDetails.

## ◆ Note

string LicenseSpring.ILicenseDetails.Note
| get set

Note for the license.

Implemented in LicenseSpring.LicenseDetails.

## ◆ PolicyCode

string LicenseSpring.ILicenseDetails.PolicyCode
| get

License policy to be applied to this license.

Implemented in LicenseSpring.LicenseDetails.

## ◆ PreventVM

bool LicenseSpring.ILicenseDetails.PreventVM
| get set

Prevent using virtual machine.

Implemented in LicenseSpring.LicenseDetails.

## ◆ ProductFeatures

ProductFeature [] LicenseSpring.ILicenseDetails.ProductFeatures
| get set

Product features available for this license.

Array of license features

Implemented in LicenseSpring.LicenseDetails.

## ◆ ResetConsumption

bool LicenseSpring.ILicenseDetails.ResetConsumption
| get set

Enable or not periodic consumption reset.

Meaningful only for consumption license type

Implemented in LicenseSpring.LicenseDetails.

## ◆ Type

LicenseType LicenseSpring.ILicenseDetails.Type
| get set

License type.

Implemented in LicenseSpring.LicenseDetails.

## ◆ ValidityDuration

string LicenseSpring.ILicenseDetails.ValidityDuration
| get set

Validity duration.

Format: 1y (one year) or 2m (2 months) or 3d (3 days) or 4h (4 hours) or 5min (5 minutes)

This Property conflicts with ValidityEndDate. Specify either one of them but not both.

Implemented in LicenseSpring.LicenseDetails.

## ◆ ValidityEndDate

string LicenseSpring.ILicenseDetails.ValidityEndDate
| get set

It's final end date and time license is valid.

Format: "2020-10-15 00:00:00"

This Property conflicts with ValidityDuration. Specify either one of them but not both.

Implemented in LicenseSpring.LicenseDetails.

The documentation for this interface was generated from the following file:

- ILicenseDetails.cs